Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.sql
Class QSqlDriverCreatorBase

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.sql.QSqlDriverCreatorBase

All Implemented Interfaces:
  QtJambiInterface

    public abstract class QSqlDriverCreatorBase

extends QtJambiObject

The `QSqlDriverCreatorBase` class is the base class for SQL driver factories.

Reimplement `createObject` to return an instance of the specific `QSqlDriver` subclass that you want to provide.

See QSqlDatabase::registerSqlDriver() for details.

See Also:
  `QSqlDriverCreator`

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QSqlDriverCreatorBase()` Creates a new QSqlDriverCreatorBase.

Method Summary
`abstract QSqlDriver` | `createObject()` Reimplement this function to returns a new instance of a `QSqlDriver` subclass.
`static QSqlDriverCreatorBase` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QSqlDriverCreatorBase instance pointed to by nativePointer

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QSqlDriverCreatorBase

    public QSqlDriverCreatorBase()

  Creates a new QSqlDriverCreatorBase. Currently, this does nothing.

Method Detail

### createObject

    public abstract QSqlDriver createObject()

  Reimplement this function to returns a new instance of a `QSqlDriver` subclass.

### fromNativePointer

    public static QSqlDriverCreatorBase fromNativePointer(QNativePointer nativePointer)

  This function returns the QSqlDriverCreatorBase instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD